Skip to content

Create payment intent

Request

🔒 Private label — contact sales. Requires a private-label entitlement on your API client.

Create payment intent

Security
oauth2ClientCredentials(Required scopes: payments:write)
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
businessIdstringrequired

Business identifier

Example:"4D7CA841437E366EB38C"
employeeIdstringrequired

Employee identifier

Example:"F118CCFA49505BF267361A12"
amountnumberrequired

Payment amount

Example:11
currencystringrequired

Currency code

Example:"KES"
sourcestringrequired

source

Example:"P8756"
receiverstringrequired

Receiver identifier (phone number)

Example:790462100
transactionRefstringrequired

Transaction reference

Example:"M-CF4X4LG8IIW"
curl -i -X POST \
  https://developer.boyahq.com/_mock/v2/openapi/payments/intent \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "businessId": "4D7CA841437E366EB38C",
    "employeeId": "F118CCFA49505BF267361A12",
    "amount": 11,
    "currency": "KES",
    "source": "P8756",
    "receiver": 790462100,
    "transactionRef": "M-CF4X4LG8IIW"
  }'

Responses

Payment intent created successfully

Bodyapplication/json
paymentIntentIdstringrequired

Payment intent identifier

Example:"696678f5b1dcd75bfdecd7b6"
intentSecretstringrequired

Intent secret

Example:"061c46149901df054f8eb5fe3374cdecc911b1c7d0c756e433dc3a21071abe51"
noncestringrequired

Nonce for request verification

Example:"4e1885d59b0f1d8d497fed58ea279781"
expiresAtstringrequired

Intent expiration timestamp (ISO 8601)

Example:"2026-01-13T16:57:17.082Z"
Response
{ "paymentIntentId": "696678f5b1dcd75bfdecd7b6", "intentSecret": "061c46149901df054f8eb5fe3374cdecc911b1c7d0c756e433dc3a21071abe51", "nonce": "4e1885d59b0f1d8d497fed58ea279781", "expiresAt": "2026-01-13T16:57:17.082Z" }